/****************************************************************************************************/
/** @file
*
* @par Module Name:
*      drv_can_config.c
*
* @par Responsible:
*      Christian Grtner
*
* @par Module Description:
*      MSCAN driver init configuration
*
*
* $Date: 2007-06-17 10:00:08 +0200 (So, 17 Jun 2007) $
* $Revision: 14 $
* $Author: Christian Gaertner $
* $HeadURL: file:///D:/SVN/Drivers/trunk/CAN/drv_can_config.c $
*
*****************************************************************************************************/

/****************************************************************************************************/
/* Module definition for conditional compiling                                                      */
/****************************************************************************************************/
#define MODULE_DRV_CAN_CONFIG_C

/*****************************************************************************************************
* Include files
*****************************************************************************************************/
#include "stdtypes.h"
#include "gdefs.h"

#include "drv_can.h"

/*****************************************************************************************************
* Declaration of module wide FUNCTIONs
*****************************************************************************************************/

/*****************************************************************************************************
* Definition of module wide MACROs / #DEFINE-CONSTANTs
*****************************************************************************************************/

/*****************************************************************************************************
* Declaration of module wide TYPEs
*****************************************************************************************************/

/*****************************************************************************************************
* Definition of module wide VARIABLEs
*****************************************************************************************************/

#ifdef USE_CAN0
/**
 * @note CAN channel 0 configuration
 */
CoreCANstruct CoreRXCAN0 =
  {&CAN0                                                    /* tMSCAN */
  ,{0,0,0}                                                  /* type[NumberRX] */
  ,{0,0,0}                                                  /* id[NumberRX] */
  ,{0,0,0}                                                  /* len[NumberRX] */
  ,{                                                        
   {0,0,0,0,0,0,0,0}										/* data[NumberRX][8] */
  ,{0,0,0,0,0,0,0,0}
  ,{0,0,0,0,0,0,0,0}
   }
  ,{0,0,0}													/* timestamp[NumberRX] of received msg */
  ,{0,0,0}                                                  /* timer[NumberRX] for peiodic sending */
  ,{NULL                                                    /* copy functions */
  , NULL
  , NULL
  }                                         
  };

CoreCANstruct CoreTXCAN0 =
  {&CAN0                                                    /* tMSCAN */
  ,{0,0,0}                                                  /* type[NumberTX] */
  ,{0,0,0}                                                  /* id[NumberTX] */
  ,{0,0,0}                                                  /* len[NumberTX] */
  ,{                                                        
   {0,0,0,0,0,0,0,0}										/* data[NumberTX][8] */
  ,{0,0,0,0,0,0,0,0}
  ,{0,0,0,0,0,0,0,0}
   }
  ,{0,0,0}													/* timestamp[NumberTX] */
  ,{0,0,0}                                                  /* timer[NumberTX] for peiodic sending */
  ,{NULL,NULL,NULL}                                         /* copy functions */
  };
#endif

/*****************************************************************************************************
* Definition of module wide (CONST-) CONSTANTs
*****************************************************************************************************/
#ifdef USE_CAN0
/**
 * @note CAN channel 0 init configuration
 */
CAN_Init_Struct CAN_Init_CAN0 =
  {CANCTL0_CAN0
  ,CANCTL1_CAN0
  ,CANBTR0_CAN0
  ,CANBTR1_CAN0
  ,CANRIER_CAN0
  ,CANTIER_CAN0
  ,CANIDAC_CAN0
  ,CANIDAR0_CAN0
  ,CANIDMR0_CAN0
  ,CANIDAR1_CAN0
  ,CANIDMR1_CAN0
  ,TJA1054
  ,&DDRA
  ,&PORTA
  ,0x40
  ,&DDRA
  ,&PORTA
  ,0x80
  ,&DDRP
  ,&PTP
  ,0x40
  };
#endif

/*****************************************************************************************************
* Link information
*****************************************************************************************************/

/****************************************************************************************************/
