/***************************************************************************************/
/*                                                                                     */
/*     C32_BaseProject                                                                 */
/*                                                                                     */
/*     Copyright 2004/2005                                                             */
/*     by Christian Gaertner; c-gaertner@web.de                                        */
/*                                                                                     */
/***************************************************************************************/

/***************************************************************************************/
/*                                                                                     */
/*     modul name:  gdefs.h                                                            */
/*                                                                                     */
/*     description: global definitions                                                 */
/*                                                                                     */
/***************************************************************************************/

#ifndef MODULE_GDEFS_H
#define MODULE_GDEFS_H

#ifndef __CSMC__
    #error "Compiler not supported"
#endif

#define USE_CAN0                            (1)

/***********************************************/
#ifdef __CSMC__
  #define INTERRUPT	                        @interrupt
#endif

/***********************************************/
/* Definition of common macros */
#define SET                                 (1u)
#define CLEAR 	                            (0u)

#define ON                                  (1u)
#define OFF                                 (0u)

#define SUCCESS                             (1u)
#define FAIL                                (0u)

/*********************************************/
/* Definition of NULL Pointer */
#ifndef NULL
    #define NULL                            (void *)0
#endif
/*********************************************/
/* Global Interrupt and CCR manipulation macros */
#define ENABLE_IRQS()                       do { _asm("cli\n"); } while(0)
#define DISABLE_IRQS()                      do { _asm("sei\n"); } while(0)

#define SAVE_CCR(a)                         do { a = _asm(" tfr ccr,b\n") & 0xFF; } while(0)                     
#define RESTORE_CCR(a)					    do { _asm(" tfr b,ccr\n", a); } while(0)

/*********************************************/
/* Global no operation macro */
#define NO_OPERATION()                      do { _asm("nop\n"); } while(0)

/****************************************************************************************/
/*                                                                                      */
/* End of Project Wide Definitions & Declarations                                       */
/*                                                                                      */
/****************************************************************************************/
#endif
